# Uses of Class
classycle.dependency.ResultRenderer

Packages that use ResultRenderer
Package
Description
classycle.dependency

## Uses of ResultRenderer in classycle.dependency

Subclasses of ResultRenderer in classycle.dependency
Modifier and Type
Class
Description
`class`
`DefaultResultRenderer`
`class`
`XMLResultRenderer`
Renderer which renders dependency checking results as XML.
Methods in classycle.dependency that return ResultRenderer
Modifier and Type
Method
Description
`ResultRenderer`
DependencyCheckerCommandLine.`getRenderer()`
Constructors in classycle.dependency with parameters of type ResultRenderer
Modifier
Constructor
Description
``
`DependencyChecker(Analyser analyser, String dependencyDefinition, Map<Object,Object> properties, ResultRenderer renderer)`
Creates a new instance.
``
`DependencyDefinitionParser(String dependencyDefinition, classycle.dependency.DependencyProperties properties, ResultRenderer renderer)`
``
`DependencyProcessor(String dependencyDefinition, classycle.dependency.DependencyProperties properties, ResultRenderer renderer)`
Creates a new instance for the specified dependency definition.
``
`DependencyStatement(StringPattern[] startSets, StringPattern[] finalSets, String dependencyType, classycle.dependency.SetDefinitionRepository repository, ResultRenderer renderer)`
``
`LayeringStatement(StringPattern[][] layers, boolean strictLayering, classycle.dependency.SetDefinitionRepository repository, classycle.dependency.LayerDefinitionRepository layerRepository, ResultRenderer renderer)`
``
`ShowStatement(ResultRenderer renderer, Preference[] preferences)`